## org.metaabm.function.impl
Class FOperatorImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.metaabm.impl.IIDImpl
                      org.metaabm.function.impl.FFunctionImpl
                          org.metaabm.function.impl.FOperatorImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, FFunction, FOperator, IID, SNamed

Direct Known Subclasses:
  FLogicalOperatorImpl

    public class FOperatorImpl

extends FFunctionImpl
implements FOperator

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static int` `ARITY_EDEFAULT` The default value of the '`Arity`' attribute.
`protected java.lang.String` `description` The cached value of the '`Description`' attribute.
`protected static java.lang.String` `DESCRIPTION_EDEFAULT` The default value of the '`Description`' attribute.
`protected static java.lang.String` `PLURAL_LABEL_EDEFAULT` The default value of the '`Plural Label`' attribute.
`protected java.lang.String` `pluralLabel` The cached value of the '`Plural Label`' attribute.
`protected java.lang.String` `symbol` The cached value of the '`Symbol`' attribute.
`protected static java.lang.String` `SYMBOL_EDEFAULT` The default value of the '`Symbol`' attribute.

Fields inherited from class org.metaabm.function.impl.FFunctionImpl
`inputPrototypes, MULTI_VALUE_EDEFAULT`

Fields inherited from class org.metaabm.impl.IIDImpl
`id, ID_EDEFAULT, label, LABEL_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `FOperatorImpl()`

Method Summary
`int` `eBaseStructuralFeatureID(int derivedFeatureID, java.lang.Class<?> baseClass)`
`int` `eDerivedStructuralFeatureID(int baseFeatureID, java.lang.Class<?> baseClass)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`int` `getArity()`
`org.eclipse.emf.common.util.EList<SAttributeType>` `getAvailableTypes()`
`java.lang.String` `getDescription()`
`java.lang.String` `getPluralLabel()`
`java.lang.String` `getSymbol()`
`void` `setDescription(java.lang.String newDescription)`
`void` `setPluralLabel(java.lang.String newPluralLabel)`
`void` `setSymbol(java.lang.String newSymbol)`
`java.lang.String` `toString()`

Methods inherited from class org.metaabm.function.impl.FFunctionImpl
`accepts, eInverseAdd, eInverseRemove, getInputPrototypes, isMultiValue, setMultiValue`

Methods inherited from class org.metaabm.impl.IIDImpl
`getID, getLabel, references, setID, setLabel`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.metaabm.function.FFunction
`accepts, getInputPrototypes, isMultiValue, setMultiValue`

Methods inherited from interface org.metaabm.SNamed
`references`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### PLURAL_LABEL_EDEFAULT

    protected static final java.lang.String PLURAL_LABEL_EDEFAULT

  The default value of the '`Plural Label`' attribute.

  See Also:
    `getPluralLabel()`

### pluralLabel

    protected java.lang.String pluralLabel

  The cached value of the '`Plural Label`' attribute.

  See Also:
    `getPluralLabel()`

### DESCRIPTION_EDEFAULT

    protected static final java.lang.String DESCRIPTION_EDEFAULT

  The default value of the '`Description`' attribute.

  See Also:
    `getDescription()`

### description

    protected java.lang.String description

  The cached value of the '`Description`' attribute.

  See Also:
    `getDescription()`

### SYMBOL_EDEFAULT

    protected static final java.lang.String SYMBOL_EDEFAULT

  The default value of the '`Symbol`' attribute.

  See Also:
    `getSymbol()`

### symbol

    protected java.lang.String symbol

  The cached value of the '`Symbol`' attribute.

  See Also:
    `getSymbol()`

### ARITY_EDEFAULT

    protected static final int ARITY_EDEFAULT

  The default value of the '`Arity`' attribute.

  See Also:
    `getArity()`, Constant Field Values

Constructor Detail

### FOperatorImpl

    protected FOperatorImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `FFunctionImpl`

### getPluralLabel

    public java.lang.String getPluralLabel()

  Specified by:
    `getPluralLabel` in interface `SNamed`
  Returns:
    the value of the 'Plural Label' attribute.
  See Also:
    `SNamed.setPluralLabel(String)`, `MetaABMPackage.getSNamed_PluralLabel()`

### setPluralLabel

    public void setPluralLabel(java.lang.String newPluralLabel)

  Specified by:
    `setPluralLabel` in interface `SNamed`
  Parameters:
    `newPluralLabel` - the new value of the 'Plural Label' attribute.
  See Also:
    `SNamed.getPluralLabel()`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `SNamed`
  Returns:
    the value of the 'Description' attribute.
  See Also:
    `SNamed.setDescription(String)`, `MetaABMPackage.getSNamed_Description()`

### setDescription

    public void setDescription(java.lang.String newDescription)

  Specified by:
    `setDescription` in interface `SNamed`
  Parameters:
    `newDescription` - the new value of the 'Description' attribute.
  See Also:
    `SNamed.getDescription()`

### getSymbol

    public java.lang.String getSymbol()

  Specified by:
    `getSymbol` in interface `FOperator`
  Returns:
    the value of the 'Symbol' attribute.
  See Also:
    `FOperator.setSymbol(String)`, `MetaABMFunctionPackage.getFOperator_Symbol()`

### setSymbol

    public void setSymbol(java.lang.String newSymbol)

  Specified by:
    `setSymbol` in interface `FOperator`
  Parameters:
    `newSymbol` - the new value of the 'Symbol' attribute.
  See Also:
    `FOperator.getSymbol()`

### getArity

    public int getArity()

  Specified by:
    `getArity` in interface `FOperator`
  Returns:
    the value of the 'Arity' attribute.
  See Also:
    `MetaABMFunctionPackage.getFOperator_Arity()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `FFunctionImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `FFunctionImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `FFunctionImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `FFunctionImpl`

### eBaseStructuralFeatureID

    public int eBaseStructuralFeatureID(int derivedFeatureID,
                                        java.lang.Class<?> baseClass)

  Specified by:
    `eBaseStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eBaseStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eDerivedStructuralFeatureID

    public int eDerivedStructuralFeatureID(int baseFeatureID,
                                           java.lang.Class<?> baseClass)

  Specified by:
    `eDerivedStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eDerivedStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### getAvailableTypes

    public org.eclipse.emf.common.util.EList<SAttributeType> getAvailableTypes()

  Specified by:
    `getAvailableTypes` in interface `FFunction`
  Overrides:
    `getAvailableTypes` in class `FFunctionImpl`
  Returns:
    the value of the 'Available Types' attribute list.
  See Also:
    `SAttributeType`, `MetaABMFunctionPackage.getFFunction_AvailableTypes()`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `IIDImpl`